> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the average carbon emission per kilometer



## OpenAPI

````yaml openapi/findity-admin-api.json GET /carbonemissions/averageemissionperkm
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /carbonemissions/averageemissionperkm:
    get:
      tags:
        - Carbon emissions
      summary: Get the average carbon emission per kilometer
      operationId: getAverageEmissionPerKm
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/fromDate'
        - $ref: '#/components/parameters/toDate'
        - $ref: '#/components/parameters/type'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmissionPerKm'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    organizationId:
      in: query
      name: organizationId
      required: true
      description: The organization id of the carbon emissions
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    fromDate:
      in: query
      name: fromDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2020-01-20'
    toDate:
      in: query
      name: toDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2018-01-23'
    type:
      in: query
      name: type
      required: true
      description: The type of the emission. Required type for the travel tab is "travel"
      schema:
        type: string
        enum:
          - emissions
          - travel
      example: emissions
  schemas:
    EmissionPerKm:
      type: array
      description: Array of years
      items:
        type: object
        properties:
          averageEmission:
            type: number
            description: Average carbon emission per kilometer in organization
          distanceUnit:
            type: string
            description: Distance unit of expense record
          emissionUnit:
            type: string
            description: Unit of carbon emission
          month:
            type: number
            description: Month when the expense occurred
      example:
        averageEmission: 0.6
        distanceUnit: km
        emissionUnit: kg
        month: 7
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````